Skip to content

getInspectionSamplingPlans

READ

Get inspection sampling plans.

POST /api/v1/quality/getInspectionSamplingPlans
curl -X POST '<your-host>/api/v1/quality/getInspectionSamplingPlans' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "inspectionId": "string"
  }'
Response
{
  "results": [
    {
      "acceptanceNumber": 0,
      "codeLetter": "string",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "id": "string",
      "inspectionFeatureId": "string",
      "inspectionId": "string",
      "rejectionNumber": 0,
      "sampleSize": 0,
      "updatedAt": "string",
      "updatedBy": "string",
      "inspectionFeature": {
        "id": "string",
        "label": "string",
        "description": "string",
        "pageNumber": 0,
        "type": "Value",
        "nominalValue": "string",
        "tolerancePlus": "string",
        "toleranceMinus": "string",
        "unit": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "inspectionId": {
      "type": "string"
    }
  },
  "required": [
    "inspectionId"
  ]
}